# Uses of Class
org.eclipse.ui.SaveablesLifecycleEvent

Packages that use SaveablesLifecycleEvent
Package
Description
org.eclipse.compare.internal
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of SaveablesLifecycleEvent in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type SaveablesLifecycleEvent
Modifier and Type
Method
Description
`void`
CompareEditor.`handleLifecycleEvent(SaveablesLifecycleEvent event)`

## Uses of SaveablesLifecycleEvent in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type SaveablesLifecycleEvent
Modifier and Type
Method
Description
`void`
ISaveablesLifecycleListener.`handleLifecycleEvent(SaveablesLifecycleEvent event)`
Handle the given event.

## Uses of SaveablesLifecycleEvent in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type SaveablesLifecycleEvent
Modifier and Type
Method
Description
`void`
SaveablesList.`handleLifecycleEvent(SaveablesLifecycleEvent event)`
This implementation of handleModelLifecycleEvent must be called by implementers of ISaveablesSource whenever the list of models of the model source changes, or when the dirty state of models changes.